Help us improve Answers HQ! Take Survey No, Thanks

Re: Mac OS says Spore needs to be updated and to contact its developers

by Kyle_Necrowolf
Reply

Original Post

Accepted Solution

Mac OS says Spore needs to be updated and to contact its developers

★ Novice

SO when I click on the spore Icon on my macOS (The icon has a circle and slash through it like a no smoking sign) it says the game needs to be updated to work on Mac OS (My Mac OS os fully updated) and to contact the developers.

Message 1 of 3 (341 Views)

Accepted Solution

Re: Mac OS says Spore needs to be updated and to contact its developers

★★ Guide

Newer versions of macOS cannot run 32-bit software, which includes the vast majority of games and older software, including Spore

 

You will need to use macOS Mojave or older, or Windows (all versions of Windows from Vista onwards are fully supported)

View in thread

Message 2 of 3 (302 Views)

All Replies

Re: Mac OS says Spore needs to be updated and to contact its developers

★★ Guide

Newer versions of macOS cannot run 32-bit software, which includes the vast majority of games and older software, including Spore

 

You will need to use macOS Mojave or older, or Windows (all versions of Windows from Vista onwards are fully supported)

Message 2 of 3 (303 Views)

Re: Mac OS says Spore needs to be updated and to contact its developers

★ Novice

Thank you for letting me know!

Message 3 of 3 (259 Views)
Twitter Stream